Package picard.illumina.parser.readers

# Class AbstractIlluminaPositionFileReader.PositionInfo

java.lang.Object
picard.illumina.parser.readers.AbstractIlluminaPositionFileReader.PositionInfo

Enclosing class:
  `AbstractIlluminaPositionFileReader`

public class AbstractIlluminaPositionFileReader.PositionInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`lane`
The lane, which is determined from the file name
`final int`
`tile`
The tile, which is determined from the file name
`final float`
`xPos`
The x-position as it occurs in the file being read
`final int`
`xQseqCoord`
The QSeq style x-coordinat, an integer = Math.round(xPos*10 + 1000)
`final float`
`yPos`
The y-position as it occurs in the file being read
`final int`
`yQseqCoord`
The QSeq style y-coordinates, an integer = Math.round(yPos*10 + 1000)

## Constructor Summary

Constructors
Constructor
Description
`PositionInfo(float x, float y, int lane, int tile)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### xPos

public final float xPos
The x-position as it occurs in the file being read

### yPos

public final float yPos
The y-position as it occurs in the file being read

### lane

public final int lane
The lane, which is determined from the file name

### tile

public final int tile
The tile, which is determined from the file name

### xQseqCoord

public final int xQseqCoord
The QSeq style x-coordinat, an integer = Math.round(xPos*10 + 1000)

### yQseqCoord

public final int yQseqCoord
The QSeq style y-coordinates, an integer = Math.round(yPos*10 + 1000)

## Constructor Details

### PositionInfo

public PositionInfo(float x, float y, int lane, int tile)

## Method Details

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`